/* JS Template - resize.js - diaRice 0.3en/de - Tu, 26. Jun 2007 17:30 */
/* Copyright (c) 2007 Michael Daum,  visit http://webdaum.de/ */


// start process:
function calendar_set_image() {

  var c_0_day = c_day<10?"0"+c_day:c_day;
  var i = c_month+1;
  var c_0_month = i<10?"0"+i:i;
  c_image_resource = c_image_path+c_year+"/"+c_0_month+"/_"+c_0_day+".jpg";
	
  document.getElementById("container").className="m-"+c_0_month;

	loading = setInterval("check_complete(c_image_resource)",50);
	
  if(window.c_autoplay_var) {
  	calendar_preload_month(c_0_month);
  }
  
	return false;

}

// check loading status of image:
function check_complete(c_image_resource) {

 	test = new Image();
	test.src = c_image_resource;
	my_image = c_image_resource;
	
	if(test.complete) {
	
		if(window.loading) {
			clearInterval(loading);
		}
		
		x = test.width;
		y =	test.height;		
		
		resize = setInterval("resize_image(my_image,x,y)",25);
		return false;		

	} else {
		document.getElementById("image").style.backgroundImage = "url(css/templates/onload.gif)";
	}
}

// finally, do the resize:
function resize_image(c_image_resource,x,y) {
	
		var c_image = document.getElementById("image");
		var c_image_container = document.getElementById("image-container");
  	var X = 0;
  	var Y = 0;
  	var done = 0;
  	
  	if(c_image.width < x) {
  		c_image.width+=1;
			c_image.style.width = c_image.width+1+"px";
  	} else if(c_image.width > x) {
  		c_image.width-=1;
			c_image.style.width = c_image.width-1+"px";
  	} else var X = 1;
  	
  	if(c_image.height < y) {
  		c_image.height+=1;
			c_image.style.height = c_image.height+1+"px";
  	} else if(c_image.height > y) {
  		c_image.height-=1;
			c_image.style.height = c_image.height-1+"px";
  	} else var Y = 1;
  	
		if(X && Y){
		
			if (window.resize) {
				clearInterval(resize);
			}
			// set new image:
			c_image.src = c_image_resource;
			return false;
			
  	} else if(!done){
				
    	c_image.style.background = "#fff url(css/templates/no_image.gif) 50% 50% no-repeat";
    	c_image.src = "css/pixel.gif";
  		c_image_container.style.height = x>y?x+"px":y+"px";
  		c_image_container.style.width  = x>y?x+"px":y+"px";
  		//c_image_container.style.paddingRight="1px";
  		c_image_container.style.paddingBottom="1px";
			c_image_container.style.marginLeft = x>y?(-1)*x/2+"px":(-1)*y/2+"px";
  		c_image.style.marginTop  = x>y?(x-y)/2 + "px":0;
  		c_image.style.marginLeft = y>x?(y-x)/2 + 1+"px":0;
  		done = 1;
  	
  	}
		
}