<?php
// calendar.inc.php for diaRice - photo calendar 0.3 en/de 08.22.2007 13:30
// Copyright (c) 2007 Michael Daum,  visit http://webdaum.de/

// init named session:
ini_set("session.name","diaRice");
session_start();

// security:
ini_set("register_globals",0);

// date constant:
define("C_TODAYS_DATE",time());

// retrieve version:
$c_version = file_get_contents(_PATH."/files/version.txt");
define("C_VERS",$c_version);

// include functions:
include_once(_PATH."/include/function.php");
	
// you can change default values here, but better use
// data/config_data.php to feed your values,
// you will loose settings in this file when updating to a new version!
class calendar {

	var $c_todays_date;
	var $c_year;
	var $c_month;
	var $c_mday;
	var $c_day;
	var $c_wday;
	var $c_0_month;
	var $c_0_mday;
	var $c_start = 0;
	var $c_end = 0;
	var $c_direction = -1;
	var $c_effects = "js/effects/highlight.js,js/effects/transblend.js";
	var $c_main_lang = "en";
	var $c_lang = "en";
	var $c_daynames;
	var $c_monthnames;
	var $c_month_length;
	var $c_dayname;
	var $c_monthname;
	var $c_month_n_day;
	var $c_tooltipp;
	var $c_noscript;
	var $c_suffices;
	var $c_suffix = "";
	var $c_prefix = "";
	var $c_timestamp;
	var $c_show_date;
	var $c_load_data_error;
	var $c_file_mngr;
	var $c_calendar_name;
	var $c_download_resource = "http://support.webdaum.de/diarice";
	var $c_support_email = "diarice@webdaum.de";
	var $c_support_url = "http://diarice.de";
	var $c_title;
	var $c_meta_keywords = "free,calendar,foto,photo,opensource,ajax,php,css,javascript,dhtml"; 
	var $c_meta_description = ""; 
	var $c_meta_robots = "index,follow"; 
	var	$c_image_description;
	var	$c_tag_cloud = array();
	var $c_author;
	var	$c_image_filename;
	var $c_image_width = 266;
	var $c_image_height = 266;
	var $c_image_filesize = 0;
	var $c_no_image = "css/templates/no_image.jpg";
	var $c_image_resource = "css/templates/no_image.jpg";
	var $c_thumb_resource = "css/templates/no_image.jpg";
	var $c_thumb;
	var $c_license = "readme.txt";
	var $c_help = "./files/help.txt";
	var $c_version;
	var $c_sep = " | ";
	var $c_charset = "utf-8";
	var $c_online = 0;
	var $c_alternate;
	var $c_autoplay_speed = 5;
	var $c_max_period = 30;
	var $c_template;
	var $c_style = "css/templates/dark.css";
	var $c_image_path = "data/images/";
	var $c_first_year = 2006;
	var $c_first_month = 12;
	var $c_first_day = 27;
	var $c_my_name = "diaRice it!";
	var $c_my_site = "http://webdaum.de/";
	var $c_my_adress = "";
	var $c_my_email = "myname@mydomain.net";
	var $c_phpself = "";
	var $c_search;
	var $c_content;
	var $c_host;
	var $c_abs_path;
	var $c_url = array();
	var $c_hyperlink = array();
	var $c_go = "calendar";
	var $c_out;
	var $c_rfc_822 = "Sat, 09 Jun 2007 09:59:01 +0200";
	var $c_dc_date = "2007-06-07T16:22+02:00";
	var $c_updated = "2007-06-07T16:22:00+02:00";
	var $c_uid;

	
	function calendar ($c_year="0",$c_month="0",$c_day="0") {
	  		
		// --- GETTING STARTED: ---
		
		// who am I?:
		$this->c_host = "http://".$_SERVER['HTTP_HOST'];
		$this->c_phpself = dirname($_SERVER['PHP_SELF'])."/";
		$this->c_filename = basename($_SERVER['PHP_SELF']);
				
		// what time is it?
		$this->c_todays_date = getdate();
		$this->c_year  = $c_year==="0"?$this->c_todays_date['year']:$c_year;
		$this->c_month = $c_month==="0"?$this->c_todays_date['mon']:$c_month;
		$this->c_mday   = $c_day==="0"?$this->c_todays_date['mday']:$c_day;
		$this->c_month_length = Array(0,31,28,31,30,31,30,31,31,30,31,30,31);
		
		// main template:
		$this->c_template = _PATH."/templates/main.php";
		
		// make some alias:
		$this->c_day = &$this->c_mday;
		$this->c_body_id = &$this->c_go;
		
		// try load local config settings:
		$this->c_config = _PATH."/data/config_data.php";
		
		if(is_file($this->c_config)) {
			include ($this->c_config);
		} else {
			
			$this->c_config = 0;
			
			if(is_dir($this->c_image_path.$this->c_year) && is_file($this->combine_path())) {
				$this->c_online = 1;
			}
			
		}
		// a config file exists:
		if($this->c_config) {
		
			// overwrite default config settings:
	    	$this->c_online = $online==="0"||$online==="1"?$online:$this->c_online;
	    	$this->c_first_year = $year>1970&& $year<=$this->c_todays_date['year']?$year:$this->c_first_year;
	    	$this->c_first_month = $month>=0 && $month<12?$month:$this->c_first_month;
	    	$this->c_first_day = $day >0 && $day<32?$day:$this->c_first_day;
	    	$this->c_direction = $direction==="-1"||$direction==="1"?$direction:$this->c_direction;
	    	$this->c_image_path = is_dir($image_path.$this->c_first_year)?$image_path:$this->c_image_path;
	    	$this->c_sep = $sep;
	    	$this->c_main_lang = $lang;
	    	$this->c_lang = isset($_SESSION['language'])?$_SESSION['language']:$lang;
	    	$this->c_autoplay_speed = $speed>0?$speed:$this->c_autoplay_speed;
	    	$this->c_template = is_file($template)?$template:$this->c_template;
	    	$this->c_style = is_file($css)?$css:$this->c_phpself.$this->c_style;

	    	foreach(explode(",",$effects) as $file) {
	    		$this->c_effects = !is_file($file)?$this->c_effects:$effects;
	    	}
	    	
	    	$this->c_max_period = $max_period && $max_period<100?$max_period:$this->c_max_period;
			$this->c_my_name = strlen($owners_name)>3?$owners_name:$this->c_my_name;
			$this->c_meta_keywords = strlen($meta_keywords)>3?$meta_keywords:$this->c_meta_keywords;
			$this->c_meta_description = $meta_description;
	    	$this->c_my_site = "http://$website/";
	    	$this->c_my_adress = strlen($owners_residence)>2?$owners_residence:$this->c_my_address;
	    	$this->c_my_email = strlen($owners_email)>3?$owners_email:$this->c_my_email;
	    	$this->c_my_antispam_email = str_replace(".","(dot)",str_replace("@","(at)",$this->c_my_email));
	    	
		} else {
			// language on setup:
			$lang = $this->c_main_lang;
		}
		
		// load language options...
		$languages  = _PATH."/lang/lang_options.php";			
		if(is_file($languages)) {
			include("$languages");
		}
		// ...and check _GET  lang:
		// We need to do that after loading the language options
		// to be able to check for legal language requests
		if(isset($_GET['lang'])&& isset($lang_option[$_GET['lang']])) {
			$this->c_lang = $_GET['lang'];
		}
		
		// define seperator:
		if(!defined("S")) {
			define("S",$this->c_sep);
		}
		if(!defined("USE_EXT_IMAGE_DESCRIPTION")) {
			define("USE_EXT_IMAGE_DESCRIPTION",$use_ext_image_description);
		}
		if(!defined("USE_EXT_COMMENTS")) {
			define("USE_EXT_COMMENTS",$use_ext_comments);
		}
		if(!defined("USE_EXT_PEOPLE")) {
			define("USE_EXT_PEOPLE",$use_ext_people);
		}
		if(!defined("USE_EXT_EXTLINK")) {
			define("USE_EXT_EXTLINK",$use_ext_extlink);
		}
		if(!defined("LINK_TO_EDITORIAL")) {
			define("LINK_TO_EDITORIAL",$link_to_editorial);
		}
		if(!defined("LINK_TO_PRIVACY")) {
			define("LINK_TO_PRIVACY",$link_to_privacy);
		}
		if(!defined("LOG_HISTORY_VISITOR") && $log_history_visitor) {
			define("LOG_HISTORY_VISITOR",$log_history_visitor );
		}
		if(!defined("LOG_HISTORY_USER") && $log_history_user) {
			define("LOG_HISTORY_USER",$log_history_user );
		}
		if(!defined("LOG_HISTORY_BOTS") && $log_history_bots) {
			define("LOG_HISTORY_BOTS",$log_history_bots );
		}
		if(!defined("C_MOD_REWRITE") && $use_mod_rewrite) {
			define("C_MOD_REWRITE",$use_mod_rewrite );
		}
		if(!defined("SEND_XML_DECLARATION") && $send_xml_declaration) {
			define("SEND_XML_DECLARATION",$send_xml_declaration );
		}
		if(isset($_GET['go']) && $_GET['go'] == "setup" && !defined("C_SETUP")) {
			define("C_SETUP", 1);
		} else if(!defined("C_SETUP")) {
			define("C_SETUP", 0);
		}
		
		// --- MAIN OUTPUT ---
		// --- HANDLE GET REQUEST: ---
		
		foreach($_GET as $k=>$input) {
		
			$dont_touch = array (
				"image_path",
				"css",
				"template",
				"effects",
				"sep"
			);
			
			if(!in_array($k, $dont_touch)) {
				$_GET[$k] = $this->c_clean_input($input);
			}
			
		} // security filter
		
		// check _GET date
		if(isset($_GET['year']) && isset($_GET['month']) && isset($_GET['day'])) {
		
			if($this->check_date($_GET['year'],(int)$_GET['month'],$_GET['day'])) {
				
				$this->c_year  = (int)$_GET['year'];
				$this->c_month = (int)$_GET['month'];
				$this->c_mday  = (int)$_GET['day'];
				
			}
		}
		// check _GET  turn = next/previous page
		if(isset($_GET['turn']) && ($_GET['turn']==="-1" || $_GET['turn']==="+1")) {
			$this->c_direction = $_GET['turn'];
		}
		// check _GET go = call for extrapages to be included:
		if(isset($_GET['go']) && is_file(_PATH."/include/".strtolower($_GET['go']).".php")) {
			// check calendar includepath first:
			$this->c_go = strtolower($_GET['go']);	
			$this->c_out = _PATH."/include/$this->c_go.php";
		} else if(isset($_GET['go']) && is_file("data/templates/".strtolower($_GET['go']).".php")) {
			// check for a local user modified template on second position:
			$this->c_go = strtolower($_GET['go']);	
			$this->c_out = _PATH."/data/templates/$this->c_go.php";
		} else if(isset($_GET['go']) && is_file("templates/".strtolower($_GET['go']).".php")) {
			// check for default template on third position:
			$this->c_go = strtolower($_GET['go']);	
			$this->c_out = _PATH."/templates/$this->c_go.php";
		} else {
			// fallback:
			// calendar main template is included by default:
			$this->c_out = _PATH."/templates/calendar.php";
		}
		
		/* This makes shure nobody sees anything but the "we are offline"-page,
		that is default $this->c_out on setup or
		while the calendar is set to offline via the config file.
		So you can play around and try some experimental things here,
		check new settings, skins, JavaScripts, templates.
		All behinde the curtain, hidden from public view. */
		
		// set to offline:
		if(!$this->c_online && !isset($_SESSION['auth']) && $this->c_go!="login" && !C_SETUP) {
			$this->c_out  = _PATH."/include/offline.php";
		}
		
			
		// --- HANDLE LANGUAGE: ---
		
 		// define language to be used...
 		if(!defined("C_LANG")) {
			define("C_LANG", $this->c_lang);
		}
		
		// ... then load defined language data:	
		$translator = _PATH."/lang/translate.php";				
		if(is_file($translator)) {
			include_once("$translator");
		}
		
		// version
		$this->c_version = $this->c_version();
		
		#lang tooltips
		$this->c_tooltipp['rss'] = TT_RSS;
		$this->c_tooltipp['css'] = TT_CSS;
		$this->c_tooltipp['xhtml'] = TT_XHTML;
		$this->c_tooltipp['today'] = TT_TODAY;
		$this->c_tooltipp['reload_de'] = TT_RELOAD_DE;
		$this->c_tooltipp['reload_en'] = TT_RELOAD_EN;
		$this->c_tooltipp['reload_fr'] = TT_RELOAD_FR;
		$this->c_tooltipp['reload_nl'] = TT_RELOAD_NL;
		$this->c_tooltipp['reload_es'] = TT_RELOAD_ES;
		$this->c_tooltipp['reload_it'] = TT_RELOAD_IT;
		$this->c_tooltipp['de'] = TT_DE;
		$this->c_tooltipp['en'] = TT_EN;
		$this->c_tooltipp['fr'] = TT_FR;
		$this->c_tooltipp['nl'] = TT_NL;
		$this->c_tooltipp['es'] = TT_ES;
		$this->c_tooltipp['it'] = TT_IT;
		$this->c_tooltipp['month'] = TT_MONTH;
		$this->c_tooltipp['year'] = TT_YEAR;
		$this->c_tooltipp['day'] = TT_DAY;		
		$this->c_tooltipp['back'] = TT_BACK;
		$this->c_tooltipp['forward'] = TT_FORWARD;
		$this->c_tooltipp['play'] = TT_PLAY;
		$this->c_tooltipp['stop'] = TT_STOP;
		$this->c_tooltipp['author'] = TT_AUTHOR;
		$this->c_tooltipp['about'] = TT_ABOUT;
		$this->c_tooltipp['about_software'] = TT_ABOUT_SOFTWARE;
		$this->c_tooltipp['about_specials'] = TT_ABOUT_SPECIALS;
		$this->c_tooltipp['about_design'] = TT_ABOUT_DESIGN;
		$this->c_tooltipp['download'] = TT_DOWNLOAD;
		$this->c_tooltipp['support'] = TT_SUPPORT;
		
		if(isset($_GET['javascript'])) {
			$this->c_tooltipp['back'].= " ".TT_SET_DIRECTION;
			$this->c_tooltipp['forward'].= " ".TT_SET_DIRECTION;
		}

		// docs:
		$this->c_license = is_file(C_LICENSE)? C_LICENSE:$this->c_license;
		$this->c_help = is_file(C_HELP)? C_HELP:$this->c_help; 
		$this->c_charset = CHARSET;
		$this->c_load_data_error = LOAD_DATA_ERROR;
		$this->c_noscript = NOSCRIPT;
    
		// date formating:
		$this->c_suffices = str_replace(array(" ", "\t"),"",explode(",",C_SUFFICES));
		$this->c_daynames = str_replace(array(" ", "\t"),"",explode(",",C_DAYNAMES));
		$this->c_short_daynames = str_replace(array(" ", "\t"),"",explode(",",C_SHORT_DAYNAMES));
		$this->c_monthnames = array_pad(str_replace(array(" ", "\t"),"",explode(",",C_MONTHNAMES)),-13,0);
		$this->c_short_monthnames = array_pad(str_replace(array(" ", "\t"),"",explode(",",C_SHORT_MONTHNAMES)),-13,0);
		$this->c_prefix = C_PREFIX;
  	
		// for DOC title:
		$this->c_calendar_name = C_CALENDAR_NAME;

		// build wikipedia links:
		$this->build_wp_links();
		
		// --- HANDLE DATE: ----
		
		if(checkdate(2,29,$this->c_year)) {
			$this->c_month_length[2]+=1;
		} // feb is special
			
		if(
			$this->c_year  >= $this->c_todays_date['year'] &&
			$this->c_month >= $this->c_todays_date['mon'] &&
			$this->c_mday  >= $this->c_todays_date['mday'] ) 
		{
			$this->c_end = 1;
		}	
		if(
			$this->c_year  <= $this->c_first_year &&
			$this->c_month <= $this->c_first_month &&
			$this->c_mday  <= $this->c_first_day ) 
		{
			$this->c_start= 1;
		}
		

		$this->c_0_mday	 = $this->c_num_format($this->c_mday);
		$this->c_0_month = $this->c_num_format($this->c_month);
		
		$this->c_timestamp = mktime(0,0,0,$this->c_month,$this->c_mday,$this->c_year);
		$this->c_show_date = getdate($this->c_timestamp);
		$this->c_wday   = $this->c_show_date['wday'];
		
		// So, finally:
		$this->c_suffix = $this->c_suffices[$this->todays_suffix()];
		$this->c_dayname = $this->c_daynames[$this->c_wday];
		$this->c_monthname = $this->c_monthnames[$this->c_month];
		
		// DATE formating:
		$this->c_dc_date = substr_replace (date("Y-m-d\TH:iO"), ':', -2, 0);
		$this->c_rfc_822 = date("r",$this->c_timestamp);
		$this->c_updated = substr_replace (date("Y-m-d\TH:i:sO",$this->c_timestamp), ':', -2, 0);
		
		// DOC title:
		$this->c_title = $this->c_my_name." ".$this->c_calendar_name;
		if (isset($_GET['go'])) {
			$this->c_title.= S.$_LANG[$this->c_go];		
		}	else {
			$this->c_title.= S.$this->print_day();
		}

		// create unique id for atom newsfeed:
		$this->c_uid = "tag:".$_SERVER['HTTP_HOST'].
		",$this->c_year-$this->c_0_month-$this->c_0_mday:".
		dirname($_SERVER['PHP_SELF'])."/".
		$this->c_lang."/".
		$this->c_timestamp;
		
		
		// --- HANDLE INTERNAL URLS: ---
		
		// urls:
		$this->c_search = $this->c_search();
		$this->c_abs_path = $this->c_host.$this->c_phpself.$this->c_search();
		$this->c_url['editorial'] = is_file(LINK_TO_EDITORIAL)?LINK_TO_EDITORIAL:$this->c_go('editorial');
		$this->c_url['privacy'] = is_file(LINK_TO_PRIVACY)?LINK_TO_PRIVACY:$this->c_go('privacy');
		$this->c_url['credits'] = $this->c_go('credits');
		$this->c_url['people'] = USE_EXT_PEOPLE =="on"?$this->c_go('people'):false;
		$this->c_url['login'] = $this->c_go('login');
		$this->c_url['today'] = $this->c_home();
		
		// create the links pointing to alternate lang versions of the calendar:
		foreach($lang_option as $k => $v) {
			
			// remooves disabled languages using local filter setting from config.inc.php:
			if(!in_array($k,explode(",",$alternate_lang)) && $k != $lang ) {
				continue;
			}
			
			// starting tabindex:
			static $m = 3;
			$this->c_lang_option[$k] = $v;	
						
			$this->c_url[$k] = $this->c_search($this->c_year,$this->c_month,$this->c_day,$k);
			
			if($this->c_lang!==$k) {
				
				$type = $lang==$k?"rev":"rel"; 
				$this->c_alternate.="<link $type=\"alternate\" href=\"".$this->c_url[$k]."\"".
				" hreflang=\"$k\" />\n";
				
				if(!isset($_LANG["tt_$k"])) {
					$this->c_tooltipp[$k] = $lang_option[$k];
				}
				
				$this->c_hyperlink[$k] = "<a tabindex=\"".$m++."\" href=\"".$this->c_url[$k]."\"\n".
				"class=\"$k\" title=\"".$this->c_tooltipp["reload_$k"]."\" hreflang=\"$k\">".$this->c_tooltipp[$k]."</a>\n";
			

			}
		}
		
		
		// --- HANDLE EXTERNAL URLS: ---
		
		// wikipedia linktips:
		$wpd_url = "http://$this->c_lang.wikipedia.org/wiki/";
		$this->c_url['wpd_year'] = $wpd_url.$this->c_year;
		$this->c_url['wpd_month'] = $wpd_url.urlencode($this->c_monthname);
		$this->c_url['wpd_day'] = $wpd_url.urlencode(str_replace(" ","_",$this->c_month_n_day));

		// web 2.0:
		$this->c_url['wong_it'] = "http://www.mister-wong.de/index.php?action=addurl&amp;bm_url=".
		urlencode($this->c_abs_path)."&amp;bm_description=".
		urlencode($this->c_title);
		$this->c_url['delicious'] = "http://del.icio.us/post?v=3&amp;url=".
		urlencode($this->c_abs_path)."&amp;title=".
		urlencode($this->c_title);	
		
		
		// --- HANDLE IMAGES: ---				
		$this->c_image_resource = $this->combine_path();
		
		// to create a thumbnail, we resize the original image to 1/4 of the original size:
		$this->c_thumb = "<img src=\"$this->c_image_resource\" width=\"". floor($this->c_image_width/4) .'"'.
		' height="'. floor($this->c_image_height/4) .'" alt="go!" />';
		
		
		// --- LOAD EXTENSIONS: ---
		if(C_SETUP || isset($_SESSION['auth'])) {

			// load the file manager:
			include_once(_PATH."/classes/file_mngr.inc.php");
			$this->file_mngr = new file_mngr();
			
			// load the editor:
			include_once(_PATH."/classes/editor.inc.php");
			$this->editor = new editor();

		}
		
		// default author:
		$this->c_author[$this->c_day] = "admin";
		
		
		// --- LOAD EXTENSION IMAGE DESCRIPTION: ---
		if(@$use_ext_image_description=="on") {
  		$this->load_data($this->c_lang);
  		if($this->c_image_description[$this->c_day]!="") {
  			$this->c_meta_description = $this->c_image_description[$this->c_day];
			}
		}
		
		// --- LOAD EXTENSION USER COMMENT: ---
		if(@$use_ext_comments=="on") {
			include_once(_PATH."/classes/comment.inc.php");
			if($this->count_comments()>0 && $_GET['go']!="index" ) {
				$comments = $this->count_comments()>1?MENU_COMMENTS:MENU_COMMENT;
				$this->c_image_description[$this->c_day].=
				' (<a href="#comments">'.
				$this->count_comments().
				" $comments</a>)";
			}
		}
		
		// --- LOAD EXTENSION EXTERNAL LINKLIST: ---
		if(@USE_EXT_EXTLINK=="on") {
			include_once(_PATH."/classes/extlink.inc.php");
			
		}
		// --- WRITE TO HISTORY LOGFILE, IF ENABLED: ---
		if(LOG_HISTORY_VISITOR=="on" && !isset($_SESSION['auth'])) {
			$this->visitor_log();
		}
			
	} // end constructor class calendar
	
	
	// --- FUNCTIONS: ---
	// next 3 functions are for constructing all internal URLs,
	// depending on C_MOD_REWRITE setting:
	function c_search($year=false,$month=false,$day=false,$lang=false) {
		
		// force use c_go() for extrapages:
		if(isset($_GET['go'])) {
			return $this->c_go($_GET['go'],$lang);
		}
		// build calendar URLs:
		$year=$year===false?$this->c_year:$year;
		$month=$month===false?$this->c_month:(int)$month;
		$day=$day===false?$this->c_day:$day;
		$lang=$lang===false?$this->c_lang:$lang;
		
		
		if(C_MOD_REWRITE=="on") {
			return "$lang/$year/$month/$day";
		} else {
			return $this->c_filename.htmlentities("?year=$year&month=$month&day=$day&lang=$lang");
		}
	}
	// build URLs pointing to extrapages:
	function c_go($go=false, $lang=false) {
	
		$lang=$lang===false?$this->c_lang:$lang;
		$go=$go===false?$_GET['go']:$go;
		$out = "";
		
		if(!is_array($go)) {
			$go = array("go"=>$go);
		}
		
		if(C_MOD_REWRITE=="on") {
			foreach ($go as $k=>$v) {
				$out.="/$k/$v";
			}
			return  "$lang$out";
		} else {
  			
			$out = "?";
			foreach ($go as $k=>$v) {
				$out.="$k=$v&";
			}
			return $this->c_filename.htmlentities($out."lang=$lang");
		}
	}
	// build the home URL:
	function c_home() {
	
		if(C_MOD_REWRITE=="on") {
			return $this->c_lang;
		} else {
			return $this->c_filename."?lang=$this->c_lang";
		}	
	}
	// for the newsfeed:
	function c_abs_path($lang="") {
		
		$lang = $lang==""?$this->c_lang:$lang;
		return $this->c_host.$this->c_phpself.$this->c_url[$lang];
		
	}
	
	// return all alternate hreflang urls, wrapped in <a> tags:
	function hyperlinks() {
		$out = "";
		foreach ($this->c_hyperlink as $a) {
			$out.= $a;
		}
		return $out;
	}
	
	// build the version:
	function c_version() {
		return "diaRice".C_VERS.$this->c_main_lang;
	}
	
	// visitor's history - write to logfile:
	function visitor_log($file="data/logs/visits.log") {
	
	 	// to avoid doubled entries caused by the delayed ajaxrequest
		if(@$_GET['ajax']=="get_comments" && USE_EXT_IMAGE_DESCRIPTION=="on") {
			return;
		}
		
		$time = date("d.m.Y H:i:s", C_TODAYS_DATE);
		$item = isset($_GET['go'])?$_GET['go']:"$this->c_year/".$this->c_num_format($this->c_month)."/".$this->c_num_format($this->c_day);
		$addr = isset($REMOTE_ADDR)?$REMOTE_ADDR:$_SERVER["REMOTE_ADDR"];
		$refr = isset($HTTP_REFERER)?$HTTP_REFERER:$_SERVER["REDIRECT_URL"];
		$ua   = isset($HTTP_USER_AGENT)?$HTTP_USER_AGENT:$_SERVER["HTTP_USER_AGENT"];
  	
		// don't record traffic caused by robots and spiders:
		if(LOG_HISTORY_BOTS !== "on" && (is_bot($ua) || strpos("feed.php",$refr)) ) {
			return;
		}
				
		$entry = "$time, $item, $this->c_lang, $addr, $ua, $refr";
	
		if (file_exists($file)) {
			$fp=fopen($file,"a");
			flock($fp,2);
			fputs($fp,"$entry\n");
			flock($fp,3);
			fclose($fp);
		
		} else if (!file_exists($file)) {
			$fp=fopen($file,"w");
			fputs($fp,"$entry\n");
			fclose($fp);
		}

	} // end visitor's logfile
	
	// comments:
  function count_comments() {
  	$my = new comment($this->c_timestamp);
  	
    $i=0;
  	if($my->load_data()) {
      foreach ($my->data as $item) {
      	if( (int)$item->id==$this->c_timestamp && $item->is_online()) {
      		$this->c_comment[$item->time] = $item;
      		$i+=1;
      	}
      }
    }
    return $i;
  }
  function get_comments() {
	$out = "<li><p>".MSG_NO_ENTRY."</p></li>\n";
	if($this->count_comments()) {
		$out = "";
    	foreach ($this->c_comment as $key => $com) {
    		static $i = 1;
    		$out.= $com->out($i);
    		$i++;
    	}
  	}
    return $out;
  } 	// sends comments via ajax and $this->send_data()
  
	// next 4 functions are for data handling:
	function load_data($lang="en") {
	
  	$this->database = "data/images/$lang/$this->c_year"."_".$this->c_num_format($this->c_month).".dat";
  	  	
  	if(is_file($this->database)) {
  	
			$lines = file($this->database);
    	
			foreach ($lines as $key => $line) {
				if(strpos(trim($line),"#",0)!==false || strlen(chop($line))==0) continue;
				$line = explode("|",$line);
				$day = trim($line[0]);
				$this->c_image_description[$day] = trim($line[1]);
				$this->c_tag_cloud[$day] = trim($line[2]);
				$this->c_author[$day] = trim($line[3])!==""?trim($line[3]):$this->c_my_name;
			}
		}
	}		// loads image description data from db
	
	function processData ($day) {
	
		$ausgabe ="$day | ".$this->c_image_description[$day]." | ".$this->c_tag_cloud[$day]." | ".$this->c_author[$day]."\n";
		return $ausgabe;
		
	} 
  
  // shared function - used by classes: login, comment, profile, extlink
  function to_database() {
  	
		if(!is_file($this->database)) {
			$this->rewriteData();
		}
		
    $output=$this->processData();
    $output.="?";
    $output.=">";
    $fp=fopen($this->database,"r+");
    $pos=filesize($this->database);
    $daten=fread($fp,$pos-2);
    flock($fp,2);
    fputs($fp,$output);
    flock($fp,3);
    
    if( fclose($fp) ) {
    	return true;
    }  
  }	
  function rewriteData () {
  
  	$ausgabe = "";
  	foreach ($this->c_image_description as $day => $data) {
  		$ausgabe.=$this->processData($day);
  	}
  	if(file_put_contents($this->database,$ausgabe)) {
  		return true;
  	}
  }	

	function image_description() {
	
  	if(isset($this->c_image_description[$this->c_day])) {
  		return $this->c_image_description[$this->c_day];
  	} else return "<p>&nbsp;</p>";
  	
	}	// sends image description via ajax and $this->send_data()

	function tag_cloud() {
	
  	if(isset($this->c_tag_cloud[$this->c_day])) {
  		return $this->c_tag_cloud[$this->c_day];
  	} else return " ";
  	
	}	// sends tag cloud via ajax, not yet implemented
	
	function get_template() {
	
    $out = "";
    $filename = $this->c_template;
    if ($fd = @fopen ($filename, "r")) {
      $out = fread ($fd, filesize ($filename));
      fclose ($fd);
      eval("?".">".$out);
    }
    
	} // load and eval selected template, not in use
	
	function c_out() {
	
			include($this->c_out);
			
	} // main output
	
	function run_setup() {
		if($this->c_go!="setup") {
			$this->c_go="setup";
			header("location:$this->c_host$this->c_phpself?go=setup");
			exit;
		}
	} //init setup, called if config_data.php or admin's account is missing
	
	function c_num_format($num) {
	
		return $num<10?"0$num":$num;
		
	} // add 0 to numbers<10
	
  
  /* "Normal" or "restricted" users won't see everything.
	    Older images, and images dated in the future,
			can be viewed when logged in:  */
  function check_date ($year, $month, $day) {
  
  	$year = intval($year);
  	$month = intval ($month);
  	$day = intval($day);
  	@session_start();
  	
  	if(!isset($_SESSION["auth"]) && mktime(0,0,0,$month,$day,$year) > mktime(0,0,0,$this->c_todays_date['mon'],$this->c_todays_date['mday'],$this->c_todays_date['year'])) {
				return false;
		} else if(!isset($_SESSION["auth"]) && mktime(0,0,0,$month,$day,$year) < mktime(0,0,0,$this->c_first_month,$this->c_first_day,$this->c_first_year)) {
			return false;
		} else if(!checkdate($month, $day, $year )) {
			return false;
		} else return true;
		
  } // check for legal date

	function c_clean_input ($input) {
	
		$forbidden = array("\n","\r","\t","&",";","'",'"',"/",":","*");
		
		$input = strip_tags($input);
		$input = trim($input);
		$input = str_replace($forbidden,"",$input);
		$input = stripslashes($input);
		$input = stripcslashes($input);
    
		return $input;
	
	} // security function clean_input - strips mal code from QUERYSTRING
	  // on setup this function is also used by class profile to tidy the POST_VARS
	
	function combine_path($year=false,$month=false,$day=false) {
		
		$c_year=$year===false?$this->c_year:$year;
		$c_month=$month===false?$this->c_month:(int) $month;
		$c_day=$day===false?$this->c_day:$day;
		
		$this->c_image_filename = "_".$this->c_num_format($c_day).".jpg";
		
		$img = 
			$this->c_image_path.$c_year."/".
			$this->c_num_format($c_month)."/".
			$this->c_image_filename;

		
		// create an empty image:
		if(!is_file($img) || @!getimagesize($img)) {	
			@copy($this->c_no_image,$img);		
		}
		
		if($imagesize = @getimagesize($img)) {
			
			$this->c_image_width = $imagesize[0];
			$this->c_image_height= $imagesize[1];
			$this->c_image_resource = $img;
			$this->c_image_filesize = round(filesize($img)/1000)." KB";
			$this->c_image_c = date(TIME_FORMAT,filectime($img));
			$this->c_image_m = date(TIME_FORMAT,filemtime($img));
			$this->c_thumb_resource = $img;
			
		}
			
		return $this->c_image_resource;
	} // returns a valid path to the present image resource or a last alternative

	function c_thumb($year,$month,$day) {
		
		$c_year=$year===false?$this->c_year:$year;
		$c_month=$month===false?$this->c_month:(int)$month;
		$c_day=$day===false?$this->c_day:$day;
		
		return "<img src=\"".$this->combine_path($year,$month,$day)."\" width=\"".
		floor($this->c_image_width/4) .'"'.
		' height="'. floor($this->c_image_height/4) .'" alt="preview!" />';
		
	}	// shrink image to thumbnail size, return resized image as IMG-tag
		// later versions might use the GD library instead to create the thumbnail image physically
	
	/* MAIN OUTPUT: */
	
	// NOTE: functions starting with "build_"
	// these are the main modules...
	// they reside in directory "modules"
	// and should not be modified, as you would loose
	// your changes when updating to a newer version!
	// Use the private modules instead -
	// those reside in the data/modules folder
	// They will overwrite the default modules
	// simply delete the private file
	// to switch back to the default
	
	// build the head section of the XHTML document:
	function build_head() {
	
		if(is_file("data/modules/head.php")) {
			include("data/modules/head.php");
		} else {
			include(_PATH."/modules/head.php");			
		}
	}
	
	// build the div#header section
	function build_banner() {
	
		if(is_file("data/modules/banner.php")) {
			include("data/modules/banner.php");
		} else {
			include(_PATH."/modules/banner.php");
		}
	}
	
	// build the image's ul#navigation
	function build_navigation() {
	
		if(is_file("data/modules/navigation.php")) {
			include("data/modules/navigation.php");
		} else {	
			include(_PATH."/modules/navigation.php");
		}
	}
	
	// build the ul#meta menu:
	function build_meta() {
	
		if(is_file("data/modules/meta.php")) {
			include("data/modules/meta.php");
		} else {
			include(_PATH."/modules/meta.php");
  	}
	}
		
	// build the ul#footer linklist:
	function build_footer() {
	
		if(is_file("data/modules/footer.php")) {
			include("data/modules/footer.php");
		} else {
			include(_PATH."/modules/footer.php");
		}
	}
	
	// build the wikipedia links in the #meta menu:
	function build_wp_links() {
	
		if(is_file("data/modules/wp_links.php")) {
			include("data/modules/wp_links.php");
		} else {
			include(_PATH."/modules/wp_links.php");
		}
	}
	
	// build the div#linklist:
	function build_linklist() {
	
		if(is_file("data/modules/linklist.php")) {
			include("data/modules/linklist.php");
		} else {
			include(_PATH."/modules/linklist.php");
		}
	}
	
	// get the ordinal char's index number
	function todays_suffix() {
	  
    switch ($this->c_lang) {
    
     	case "fr":
     		$suffix  = $this->c_day==1? 1 : 0;
				return $suffix;
				break;
     	
     	case "en":
        $string  = (string) $this->c_day;
        $ordinal = (int) substr($string,-1);
        $suffix  = $this->c_day<4 || ($this->c_day>20 && $ordinal < 4) ? $ordinal: 0;
  			return $suffix;
  			break;
    
    	default: // de, es
    		return 0;
     		break;
    
    }
  }	
	function print_day ($year=false,$month=false,$day=false) {
	
		$c_year=$year===false?$this->c_year:$year;
		$c_month=$month===false?$this->c_month:$month;
		$c_day=$day===false?$this->c_day:$day;
		
		if($this->c_lang=="de") {
			return "$this->c_year$this->c_sep$this->c_dayname$this->c_prefix $this->c_mday$this->c_suffix $this->c_monthname";		
		} else if ($this->c_lang=="en"){
			return "$this->c_year$this->c_sep$this->c_monthname$this->c_sep$this->c_dayname $this->c_mday$this->c_suffix";
		} else {
			return date(TIME_SHORT_FORMAT,$this->c_timestamp);
		}
	}
	
	function todays_date() {
		if($this->c_lang=="de") {
			return '<span id="year">'.$this->c_year.'</span>'.S.'
<span id="weekday">'.$this->c_dayname.'</span>'.$this->c_prefix.' <span id=
"the-day">'.$this->c_mday.'</span><span id=
"the-suffix">'.$this->c_suffix.'</span> <span id="month">'.$this->c_monthname.'</span>';
		}	else {
			return '<span id="year">'.$this->c_year.'</span>'.S.'
<span id="month">'.$this->c_monthname.'</span>'.S.'
<span id="weekday">'.$this->c_dayname.'</span>
<span id="the-day">'.$this->c_mday.'</span><span id=
"the-suffix">'.$this->c_suffix.'</span>';
		}
	} // end function todays_day
	
	function calendar_build_nav_year() {

		//tabindex 25-55
		$nav_year = "";
		$m = 25;
		for($my_year=$this->c_todays_date['year'];$my_year>=$this->c_first_year;$my_year--) {
	
			$my_month = ($my_year==$this->c_first_year)?$this->c_first_month:1;
			$my_day = ($my_year==$this->c_first_year)?$this->c_first_day:1;
					
			$nav_year.="<li class=\"y-$my_year\"><a tabindex=\"".
			$m++.
			"\" href=\"".$this->c_search($my_year,$my_month,$my_day)."\"><span>$my_year</span></a></li>\n";	

		}
		return $nav_year;
	}

	// create calendar's months navigation:
	function calendar_build_nav_month($my_year) {

		//tabindex 10-24
		$nav_month = "";
		$m = 10;
		$my_year_first_month = ($my_year==$this->c_first_year)?$this->c_first_month:1;
		$my_year_last_month  = ($my_year==$this->c_todays_date['year'])?$this->c_todays_date['mon']:12;
	
		for($my_month=$my_year_first_month;$my_month<=$my_year_last_month;$my_month++) {
	
			$my_day = ($my_year==$this->c_first_year && $my_month==$my_year_first_month)?$this->c_first_day:1;
			$sep = $my_month<$my_year_last_month?S:"";
		
			$nav_month.='<li class="m-'.$this->c_num_format($my_month).'"><a tabindex="'.($m++).
			'" title="'.$this->c_monthnames[$my_month].'" href='.
			"\n\"".$this->c_search($my_year,$my_month,$my_day).'"><span>'.
			$this->c_short_monthnames[$my_month]."</span></a>".$sep."</li>\n";	
		
		}
		return $nav_month;
		
	} // end function calendar_build_nav_month

	// create calendar's days navigation:
	function calendar_build_nav_day($my_year,$my_month) {
		
		//tabindex 55-99
		$m = 55;
		
		$nav_day = "<table summary=\"".$this->c_tooltipp['day']."\">\n";
		$nav_day.= "<colgroup>\n<col class=\"sunday\" />\n</colgroup>\n<thead>\n<tr>\n";
		for($i=0;$i<=6;$i++) {
			$nav_day.="<th scope=\"col\" title=\"".$this->c_daynames[$i]."\">".
			$this->c_short_daynames[$i]."</th>\n";
		}
		$nav_day.="</tr>\n</thead>\n<tbody>\n<tr>\n";
		
		$my_month_first_day =
			(
			$my_year==$this->c_first_year &&
			$my_month == $this->c_first_month
			)
			?$this->c_first_day : 1;
			
		$my_month_last_day =
			(
			$my_year==$this->c_todays_date['year'] &&
			$my_month == $this->c_todays_date['mon']
			)
			?$this->c_todays_date['mday'] : $this->c_month_length[$my_month];
			
		$timestamp = mktime(0,0,0,$my_month,$my_month_first_day,$my_year);
		$show_date = getdate($timestamp);
		$day = $show_date['wday'];
		define("C_WDAY" ,$day);
		
		for($i=0;$i<C_WDAY;$i++) {
			$nav_day.="<td></td>\n";
		}
		
		for($my_day=$my_month_first_day;$my_day<=$my_month_last_day;$my_day++) {
		
			static $k = 1;
			$active = $my_day==$this->c_day?" class=\"active\"":"";
			
			$nav_day.= C_WDAY!==0 && ($k+C_WDAY)%7==1 && $k==1?"</tr>\n<tr>\n":"";
			$nav_day.='<td><a tabindex="'.($m++).'" href="'.
			$this->c_search($my_year,$my_month,$my_day).
			"\"$active><span>$my_day</span>".
			$this->c_thumb($my_year,$my_month,$my_day).
			"</a></td>\n";
						
			$k++;
			$nav_day.= $my_day!=$my_month_last_day &&  ($k+C_WDAY)%7==1 ?"</tr>\n<tr>\n":"";
			
		}
		return $nav_day."</tr>\n</tbody>\n</table>";
		
	} // end function calendar_build_nav_day
	
	// Primary navigation
	// fixed tabindex!
	// forward - backward single item navigation:
	function calendar_back_forward () {
	
		$out ='<li id="back">';
		if (!$this->c_start || isset($_SESSION['auth'])) {
			$out.=
'<a tabindex="1" accesskey="v" rel="prev" title=
"'.$this->c_tooltipp['back'].'"
href="'.$this->calendar_turn_page("-1").'"><span>&laquo;</span></a>';
		}
		$out.= '</li>
<li id="forward">';
		if (!$this->c_end || isset($_SESSION['auth'])) {
			$out.=
'<a tabindex="2" accesskey="n" rel="next" title=
"'.$this->c_tooltipp['forward'].'"
href="'.$this->calendar_turn_page("+1").'"><span>&raquo;</span></a>';
		}
		$out.='</li>
';
		return $out;
		
	} // end function calendar_back_forward

  function calendar_turn_page($direction, $return_as="url",$year=false,$month=false,$day=false) {
	
		$c_year=$year===false?$this->c_year:$year;
		$c_month=$month===false?$this->c_month:$month;
		$c_day=$day===false?$this->c_day:$day;
		 	
    switch ($direction) {
    
    	case -1:
    		if($this->c_day+$direction<=0) {
    			if( $this->c_month>1) {
    				$c_month = $this->c_month-1;
    				$c_day = $this->c_month_length[$c_month];
    			} else {
    				$c_month = 12;
    				$c_year = $this->c_year-1;
    				$c_day = 31;
    			}
    		} else {
  				$c_day = $this->c_day-1;
  			}
    		break;
    		
    	case +1: 
    		  		
    		if($this->c_day>=$this->c_month_length[$this->c_month]) {
    			$c_day = 1;
    			if($this->c_month<12) {
    				$c_month = $this->c_month+1;
    			} else {
    				$c_month = 1;
    				$c_year = $this->c_year+1;
    			}
    		} else {
  				$c_day = $this->c_day+1;
  			}
  			
    		break;
    
    }
    switch ($return_as) {
    
    	case "print_day":
    		return $this->print_day($c_year,$c_month,$c_day);
    		break;
    		
    	case "image_resource":
    		return $this->combine_path($c_year,$c_month,$c_day);
    		break;
    		
    	case "timestamp":
    		return mktime(0,0,0,$c_month,$c_day,$c_year);
    		break;
    	
    	default:
    		return $this->c_search($c_year,$c_month,$c_day,$this->c_lang);
    		break;
    }
    
  } //end function calendar_turn_page
  
  function send_data () {
  
  	if(@$_GET['year'] && isset($_GET['month']) && @$_GET['day'] && isset($_GET['direction']) && @$_GET['ajax'] ) {
  	
			$direction = $this->c_clean_input($_GET['direction']);
			$return_as = $this->c_clean_input($_GET['ajax']);
			$data = "Error";
			
			if (in_array($return_as,get_class_methods("calendar"))) {
				$data = @call_user_method($return_as,$this);
			} else {
				$data = $this->calendar_turn_page($direction,$return_as);			
			}
			if(isset($_GET['iframe'])) {
				$data = '<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN"
"http://www.w3.org/TR/html4/strict.dtd"><html><head><title></title><style type="text/css">
@import "'.$this->c_style.'";
body{text-align:center;}</style></head>
<body>'.$data."</body></html>";
			}
			
			print ($data);

		} else print($this->c_load_data_error);
		
	} // call from AJAX - send data 

	function send_config_data () {
	
		$data = '<form action="">
<p><input type="hidden" name="first_year" value="'.$this->c_first_year.'" />
<input type="hidden" name="first_month" value="'.($this->c_first_month-1).'" />
<input type="hidden" name="first_day" value="'.$this->c_first_day.'" />
<input type="hidden" name="image_path" value="'.$this->c_image_path.'" />
<input type="hidden" name="sep" value="'.S.'" />
<input type="hidden" name="my_monthnames" value="'.str_replace(array(" ", "\t"),"",C_MONTHNAMES).'" />
<input type="hidden" name="my_daynames" value="'.str_replace(array(" ", "\t"),"",C_DAYNAMES).'" />
<input type="hidden" name="my_short_monthnames" value="'.str_replace(array(" ", "\t"),"",C_SHORT_MONTHNAMES).'" />
<input type="hidden" name="my_short_daynames" value="'.str_replace(array(" ", "\t"),"",C_SHORT_DAYNAMES).'" />
<input type="hidden" name="my_suffices" value="'.str_replace(array(" ", "\t"),"",C_SUFFICES).'" />
<input type="hidden" name="my_direction" value="'.$this->c_direction.'" />
<input type="hidden" name="my_effects" value="'.$this->c_effects.'" />
<input type="hidden" name="lang" value="'.$this->c_lang.'" />
<input type="hidden" name="tooltipp_back" value="'.$this->c_tooltipp['back'].'" />
<input type="hidden" name="tooltipp_forward" value="'.$this->c_tooltipp['forward'].'" />
<input type="hidden" name="autoplay_speed" value="'.$this->c_autoplay_speed.'" /></p>
</form>
';
		
		if(isset($_GET['iframe'])) {
			$data = "<html><head></head><body>$data</body></html>";				
		}
		print ($data);
	}
	
	/* SOME ADMIN FUNCTIONS: */

	// helps to quickly switch into online mode, can be called on logout:
	function set_online() {
		if(isset($_SESSION['auth']) && $this->c_config && !$this->c_online) {
			$config = file_get_contents($this->c_config);
			$config = str_replace('$online = "0"','$online = "1"',$config);
			if(file_put_contents($this->c_config,$config)) {
				$this->c_online = 1;
				return true;
			} 
		}
	}	
	// create sidemenu admin page:
	function admin_build_sidebar() {
		
		if(!isset($_SESSION['auth'])) {
			return false;
		}
		//tabindex 25-55
		$nav_year = "";
		$m = 25;
		
		/*
		$nextyear = $this->c_todays_date['year']+1;
		if(!is_dir($this->c_image_path.$nextyear) &&  $this->c_todays_date['month']==12) {
			@mkdir($this->c_image_path.$nextyear);
			@mkdir($this->c_image_path."$nextyear/01");
			@copy("css/no_image.jpg","$this->c_image_path$nextyear/01/_01.jpg");	
		}
		*/
  	
  	// sidemenu when editing comments:
  	if(isset($_GET['mode']) && $_GET['mode']=="comment" ) {
    	for ($i=$this->c_todays_date['year']; $i>1969; $i--) {
  			
  			if(!is_dir("data/comment/$i")) {
  				continue;
  			}
			$nav_year.="<li class=\"y-$i\"><a tabindex=\"".$m++."\" name=\"y-$i\"><span class=\"toplevel\">$i</span></a>\n";
			
			$nav_year.="<ul>\n";	
			$dirlist = $this->file_mngr->go("data/comment/$i","php","file");
			foreach ($dirlist as $path => $dir) {
				$active = $_GET['year']==$i && (int)$_GET['month']==(int)$dir?" class=\"active\"":"";
				$nav_year.= "<li><a$active tabindex=\"".$m++."\" href=\"?go=index&amp;mode=comment&amp;year=$i&amp;month=".(int)$dir."\"><span>".
				$this->c_monthnames[(int)$dir]."</span></a></li>\n";
			
			}
			$nav_year.="</ul>\n";	
			$nav_year.="</li>\n";
    	}
			
    } else {
    
    	// sidemenu when editing images and files:
  		for ($i=$this->c_todays_date['year']+5; $i>1969; $i--) {
  			
  			if(!is_dir($this->c_image_path.$i)) {
  				continue;
  			}
  			
  			$j = ($i==$this->c_first_year)?$this->c_first_month:1;
  			$k = ($i==$this->c_first_year)?$this->c_first_day:1;
  			

			$nav_year.="<li class=\"y-$i\"><a tabindex=\"".$m++."\" href=\"?go=index&amp;year=$i\"><span class=\"toplevel\">$i</span></a>\n";
			
			$nav_year.="<ul>\n";	
			$dirlist = $this->file_mngr->go($this->c_image_path.$i,"jpg","dir");
			foreach ($dirlist as $path => $dir) {
				$active = $_GET['year']==$i && $_GET['month']==$dir?" class=\"active\"":"";
				$nav_year.= "<li class=\"m-$dir\"><a$active tabindex=\"".$m++."\" href=\"?go=index&amp;year=$i&amp;month=$dir\"><span>".
				$this->c_monthnames[(int)$dir]."</span></a>";
				
				if(isset($_GET['month']) && $dir==$_GET['month'] && $i==$_GET['year']) {
					$nav_year.="<ul>\n";	
					//$imglist = $this->file_mngr->go($c->c_image_path.$path,"jpg","image");
					for ($imglist=1; $imglist<=$this->c_month_length[(int)$dir];$imglist++) {
						$this->combine_path($i,$dir,$imglist);
						$img = $this->c_image_filename;
						$active = isset($_GET['img'])&& $_GET['img']==$img?" class=\"active\"":"";
						$nav_year.= "<li><a$active tabindex=\"".$m++."\" href=\"?go=index&amp;year=$i&amp;month=$dir&amp;day=$imglist&amp;img=$img\"><span>".
						$this->c_short_monthnames[(int)$dir]." ".
						$this->c_num_format($imglist).
						"</span></a></li>\n"; 					
					}
					$nav_year.="</ul>\n";
					$nav_year.="</li>\n";	
				} else {
					$nav_year.="</li>\n";	
				}	
  			}	
  								
  				$nav_year.="</ul>\n";			
  				$nav_year.="</li>\n";	
  				
  		}
  	}
		return $nav_year;
	} // end function admin_build_sidebar
	
	// shared functions used by comment/extlink class:
  function status_checkbox() {
  	$out ='<input type="checkbox" name="status"';
		if($this->status==true) $out.=' checked="checked"';
		$out.=' value="'.$this->status.'" />';
		return $out;
  }
  
  function status() {
    return $this->status==true?"true":"false";
  }
  
  function status_link_switch() {
  
    $out ='<a href="?go=index&amp;mode=';
    $out.= get_class($this).'&amp;action=';
    $out.=$this->status?"offline":"online";
    $out.='&amp;id='.$this->id;
    $out.='&amp;do='.$this->time.'" class="'.
    $this->status().' status">';
    $out.=$this->status?"online":"offline";
    $out.='</a>';
		
		return $out;
  }
	
  function delete_button() {
		$out = "";
		
		if(filesize($this->c_image_resource)!= filesize($this->c_no_image)) {
			// create image delete button for admin page:
			$m=32;
			$out = 
	"<a class=\"delete\" title=\"$this->c_image_filename ".MODE_DELETE."\" tabindex=\"".$m++.
  "\" href=\"?go=index&amp;year=$_GET[year]&amp;month=$_GET[month]&amp;delete=".str_replace("/","|",$this->c_image_resource)."\">".
  "<span>".MODE_DELETE."</span>".
  "</a>";
  
  	} else if(get_class($this) !="calendar") {
  	
      // comment/extlink:
      $out ='<a class="delete" href="?go=index&amp;mode=';
      $out.= get_class($this);
      $out.='&amp;id='.$this->id;
      $out.='&amp;do='.$this->time.'&amp;action=delete"><span>';
      $out.=MODE_DELETE;
      $out.='</span></a>';
  	
		}
		return $out;
  	
  } 
  function is_online() {
    return $this->status;
  } 
  function accept() {
    $this->status=true;
  }    
  function refuse() {
    $this->status=false;   
  }  

}


?>