<?php
// index.php for diaRice - photo calendar 0.3 en/de 07.09.2007 13:46
// Copyright (c) 2007 Michael Daum,  visit http://webdaum.de/

/******************************************************************************/
/*
/*		ADMIN FRONTEND PHOTO CALENDAR diaRice
/*
/******************************************************************************/


if(!defined("_PATH")) {
	define("_PATH",realpath("../"));
}

// security:
include_once (_PATH."/classes/login.inc.php");
$guard = new check();
if (!$guard->check_user() || (@$_GET['getclass']=="page" && !$guard->check_super_user() ) ) {
		$errorpage ='files/error_401.php';
		if(!is_file($errorpage)) {
			$errorpage="../$errorpage";
		}
    Header('HTTP/1.1 401 Unauthorized');
    Header("location:$errorpage");
  } else {

$auth_user = $_SESSION["auth"];
include (_PATH."/data/profile_data.php");

// title:
$title = $this->c_calendar_name." ";
if(!isset($_GET['mode'])) {
	$title =  MENU_HOME;
} else if($_GET['mode']==="templates") {
	$title = TITLE_TEMPLATES;
} else if($_GET['mode']=="modules"){
	$title = TITLE_MODULES;
} else if($_GET['mode']=="css") {
	$title = TITLE_CSS;
} else if($_GET['mode']=="js"){
	$title = TITLE_JS;
} else if($_GET['mode']=="comment"){
	$title = MENU_COMMENTS;
} else if($_GET['mode']=="extlink"){
	$title = TITLE_LINKLIST;
}

// create a new image directory:
if(isset($_GET['mkdir'])) {
	$dir = $this->c_image_path.$_GET['year'];
	if(isset($_GET['month'])) {
		$dir.= "/".$_GET['month'];
	}
	if(!is_dir($dir)) {
		mkdir($dir);
		if(!isset($_GET['month'])) {
			$dir.="/01";
			mkdir($dir);			
		}
		@copy($this->c_no_image,"$dir/_01.jpg");
	}
}
// save php/css files:
if(isset($_POST['save'])) {
	$file = "$_POST[dirname]/$_POST[basename]";
	if($file && $_POST['text']) {
		// uncomment below lines to always create a backup:
		#if(is_file($file)) {
			#rename($file,"$_POST[dirname]/".C_TODAYS_DATE."$_POST[basename]");
		#}
		file_put_contents($file,stripcslashes($_POST['text']));
		// reopen file in editor:
		$_GET['do'] = str_replace("/","|",$file);
	}
}
// save image description:
if(isset($_POST['save_description'])) {
	include_once(_PATH."/include/function.php");
	$this->load_data($this->c_lang);
	$this->c_image_description[$this->c_day] = daten_reiniger($_POST['text']);
	$this->c_tag_cloud[$this->c_day] = str_replace(" ",", ",$_POST['tag_cloud']);
	$this->c_author[$this->c_day] = $_SESSION['auth'];
	$this->rewriteData();
	
}
// delete php/css/jpg files:
if(isset($_GET['delete'])) {
	$file = str_replace("|","/",$_GET['delete']);
	if(@getimagesize($file)) {
		unlink($file);
		copy($this->c_no_image,$file);
	} else if(is_file($file)) {
		unlink($file);
	}
}
echo "<?xml version=\"1.0\" encoding=\"ISO-8859-1\"?"."><!-- IE Quirks, please! -->"."\n";
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
 "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title><?php echo ucfirst($auth_user)." | ".strip_tags($title);?></title>
<meta http-equiv="Content-Type" content=
"text/html; charset=iso-8859-1" />
<link rel="stylesheet" type="text/css" href="<?php echo $profile[urlencode($auth_user)]->skin?>" />
<link rel="stylesheet" type="text/css" href="css/admin/index.css" />
<script type="text/javascript" src="js/editor.js" charset="iso-8859-1"></script>
</head>
<body <?php echo 'id="'.$_GET['mode'].'" class="y-'.@$_GET['year']." ".$this->c_lang;?>">
<div id="container" class="m-<?php echo @$_GET['month'];?>">
<div id="kopf">
<h1><?echo "$this->c_calendar_name | ". ucfirst($auth_user)." | $title";?>
 | <small><?echo date(TIME_FORMAT,C_TODAYS_DATE);?></small>
</h1>
<div id="navi">
<?php

 include "menu.php";
 
?>
</div>
</div>
<div class="form">
<div id="sidebar">
<ul>
<?php

	echo $this->admin_build_sidebar();
	
?>
</ul>
</div>
<div id="wrapper">
<div id="content">
<?php

// rename, moove, set to online/offline images:
if(!isset($_GET['mode'])) {
  if(isset($_GET['year'])) {
  	$title.= " ".$_GET['year'];
  }
  if(isset($_GET['month'])) {
  	$title.= " ".S." ".ucfirst(TIME_MONTH)." ".$this->c_monthnames[(int)$_GET['month']];
    	
    // rename image:
  		if(isset($_GET['image_rename'])) {
  		
  	 	$dir = $this->c_image_path.$_GET['year']."/".$_GET['month'];
  	 	$source = isset($_GET['source'])?$this->c_image_path.$_GET['source']:$dir;
  	 	if(is_file("$source/$_GET[image_filename]")) {
  	 		$title.= "<br /><strong>";
  	 		// file exists? moove to offline folder:
  	 		if(is_file("$dir/$_GET[image_rename]")) {
  	 			if(filesize("$dir/$_GET[image_rename]")!= filesize($this->c_no_image)) {
  	 				if(rename("$dir/$_GET[image_rename]",$this->c_image_path."offline/".C_TODAYS_DATE.".jpg")) {
  	 					$title.= DFN_OLD_FILE." $dir/$_GET[image_rename] ".DFN_MOOVED_TO." ".$this->c_image_path."offline/</br />";
  	 				}
  	 			} else {
  					unlink("$dir/$_GET[image_rename]");
  				}
    		}
    		if(strlen($_GET['image_rename'])<7 || strpos($_GET['image_rename'],".jpg")===false) {
    			if(rename("$dir/$_GET[image_filename]",$this->c_image_path."offline/".C_TODAYS_DATE.".jpg")) {
    				// set image to offline:
  					$title.= "$dir/$_GET[image_filename] ".DFN_MOOVED_TO." ".$this->c_image_path."offline/";
  				}
  	 		} else if(rename("$source/$_GET[image_filename]","$dir/$_GET[image_rename]")) {
  	 		// set image to online:
  			$title.= "$source/$_GET[image_filename] ".DFN_RENAMED_TO." $dir/$_GET[image_rename]";
  			
  			}
  			$title.= "</strong>";
  		}
  	}
  }
}
	echo "<h3>$title</h3>";

if(!isset($_GET['mode'])) {
	echo "<p><small>".DFN_HOME."</small></p>\n";
}

$m = 1;

/* START EDIT IMAGES */
if (isset($_FILES["file"])&& isset($_POST['upload_target']) && !is_array($_FILES["file"])) {

	include ("uploader.php");
	echo $server_msg."<br />\n";

} else if(isset($_GET['day'])) {

	// START SINGLE DAY
	$this->combine_path($_GET['year'], (int)$_GET['month'],$_GET['day']);
	$legend = LEGEND_REPLACE_IMAGE;
	$upload_target = "$this->c_image_path$_GET[year]/$_GET[month]";
	$fullpath = "$upload_target/$this->c_image_filename";
	$filename = $this->c_image_filename;
	$out = "<div class=\"container\">\n".
	"<h3>".$this->print_day().
	"</h3>\n<a href=\"?".htmlentities("year=$this->c_year&month=$this->c_month&day=$this->c_day&turn=$this->c_direction").
	"\"><img src=\"$this->c_image_resource\" alt=\"preview!\" /></a>\n";
	
	
	$out.= 
	"<dl>\n".
	"<dt>width</dt>\n<dd>$this->c_image_width px</dd>\n".
	"<dt>height</dt>\n<dd>$this->c_image_height px</dd>\n".
	"<dt>filesize</dt>\n<dd>$this->c_image_filesize</dd>\n".
	"<dt>create</dt>\n<dd>$this->c_image_c</dd>\n".
	"<dt>lastmod</dt>\n<dd>$this->c_image_m</dd>\n".
	"<dt>".DFN_PATH."</dt>\n<dd>$fullpath</dd>\n".
	"</dl>"."</div>\n";
	
	if(USE_EXT_IMAGE_DESCRIPTION=="on") {
	
	$out.="<form method=\"post\"\n".
	"action=\"?go=index&amp;year=$this->c_year&amp;month=$this->c_month&amp;day=$this->c_day&amp;img=$this->c_image_filename&amp;lang=$this->c_lang\">\n".
	"<fieldset>\n<div class=\"config\">".
	$this->editor->out("html").
	"<dfn>".DFN_DESCRIPTION.": </dfn>\n<textarea cols=\"50\" rows=\"5\" name=\"text\">".
	htmlentities(stripcslashes(str_replace("","\n",$this->image_description()))).
	"</textarea><br />\n".
	"<dfn>Tag Cloud: </dfn>\n<input type=\"text\" name=\"tag_cloud\" value =\"".str_replace(", "," ",$this->tag_cloud())."\" /><br />".
	"<dfn>".DFN_AUTHOR.": </dfn>\n<input disabled=\"disabled\"  value =\"".$this->c_author[$this->c_day]."\" />";
	if(USE_EXT_COMMENTS=="on") {		
		$out.=" <a href=\"?go=index&amp;mode=comments&amp;id=$this->c_timestamp&amp;do=".
		C_TODAYS_DATE."\">".ADD_A_NOTE."</a>";	
	}
	$out.="<br />".
	"<input type=\"submit\" name=\"save_description\" class=\"submit\" value=\""
	.MODE_SAVE."\" />\n".
	"</div>\n</fieldset>\n".
	"</form>\n";
	
	}
	echo $out;
	include ("uploader.php");

} else if(isset($_GET['month']) && !@$_GET['mode']=="comment") {
		
  // START EDIT  IMAGE MONTH DIRECTORIES	
  $out = "\n<ul class=\"gallery\">\n";
  for ($imglist=1; $imglist<=$this->c_month_length[(int)$_GET['month']];$imglist++) {
  	$thumb = $this->c_thumb($_GET['year'],$_GET['month'],$imglist);
  	$img = $this->c_image_filename;
  	$out.= "<li><a tabindex=\"".$m++.
  	"\" href=\"?go=index&amp;year=$_GET[year]&amp;month=$_GET[month]&amp;day=$imglist&amp;img=$img\">".
  	"<span>$thumb</span></a>".
  	"<form class=\"filename\" method=\"get\" action=\"?go=index\">\n<p>".
  	"<input type=\"hidden\" name=\"go\" value =\"index\" />".
  	"<input type=\"hidden\" name=\"image_filename\" value =\"$img\" />".
  	"<input type=\"text\" name=\"image_rename\" value =\"$img\" onchange=\"this.form.submit()\" />".
  	"<input type=\"hidden\" name=\"year\" value =\"$_GET[year]\" />".
  	"<input type=\"hidden\" name=\"month\" value =\"$_GET[month]\" />".
  	"</p>\n</form>\n".
  	$this->delete_button().
  	"</li>\n"; 					
    }
  $out.= "</ul>\n";
  $offline = $this->file_mngr->go($this->c_image_path."offline","jpg","image");
  if(count($offline)>0) {
  	$out.= "<ul class=\"offline gallery\">\n<li><h3>Offline:</h3></li>\n";
  	foreach ($offline as $path => $filename) {
		//  automatically remove empty images:
		if(filesize($path)== filesize($this->c_no_image)) {
			unlink($path);
			continue;
		}
  		$thumb = "<img src=\"$path\" style=\"width:100%\" alt=\"offline!\" />";
  		$img = $filename;
  		$out.= "<li><a tabindex=\"".$m++.
  		"\" href=\"$path\">".
  		"<span>$thumb</span></a>".
  		"<form class=\"filename\" method=\"get\" action=\"?go=index\">\n<p>".
  		"<input type=\"hidden\" name=\"go\" value =\"index\" />".
  		"<input type=\"hidden\" name=\"source\" value =\"offline\" />".
  		"<input type=\"hidden\" name=\"image_filename\" value =\"$img\" />".
  		"<input type=\"text\" name=\"image_rename\" value =\"$img\" onchange=\"this.form.submit()\" />".
  		"<input type=\"hidden\" name=\"year\" value =\"$_GET[year]\" />".
  		"<input type=\"hidden\" name=\"month\" value =\"$_GET[month]\" />".
  		"</p>\n</form>\n</li>\n"; 					
  	}
  	$out.= "</ul>\n";
  }
  echo $out;
  echo "<br class=\"clear\" />\n";
  $legend = MSG_IMG_UPLOAD;
  $upload_target = "$this->c_image_path$_GET[year]/$_GET[month]";
  include ("multi_uploader.php");
  echo $server_msg."<br />\n";

	
} else if(isset($_GET['year']) && !@$_GET['mode']=="comment") {
	
	// START EDIT YEAR DIRECTORIES
	$dirlist = $this->file_mngr->go($this->c_image_path.$_GET['year'],"jpg","dir");
	
	echo "<ul>\n";
	for ($month=1;$month<=12;$month++) {
		if(in_array($this->c_num_format($month),$dirlist)) {
			echo "<li class=\"m-".
			$this->c_num_format($month)."\"><p><a tabindex=\"".$m++.
			"\" href=\"?go=index&amp;year=$_GET[year]&amp;month=".
			$this->c_num_format($month)."\"><span>".
			$this->c_monthnames[$month]." (".$this->c_month_length[$month].")</span></a></p></li>\n";
		} else {
			echo "<li><p><a href=\"?go=index&amp;year=$_GET[year]&amp;mkdir=1&amp;year=$_GET[year]".
			"&amp;month=".$this->c_num_format($month)."\">".TIME_MONTH." ".
			$this->c_monthnames[$month].": ".
			MSG_CREATE_NEW_FOLDER."</a></p></li>\n";
		}
	}
	echo "</ul>\n";
	
// DISPLAY STARTING PAGE ...when nothing special is selected:	
} else if(!isset($_GET['mode'])){ 

	echo "<ul>\n";
	$path = $this->c_image_path===""?".":$this->c_image_path;
	$dirlist = $this->file_mngr->go($path,"","dir");
	for ($year=$this->c_first_year-1;$year<=$this->c_todays_date['year']+5;$year++) {
		if(in_array($year,$dirlist)) {
			$monthlist = $this->file_mngr->go($this->c_image_path.$year,"jpg","dir");
			echo "<li class=\"y-$year\"><p><a tabindex=\"".$m++.
			"\" href=\"?go=index&amp;year=$year\"><span><strong>$year</strong></span> (".
			count($monthlist).")</a></p></li>\n";
		} else {
			echo "<li><p><a href=\"?go=index&amp;year=$year&amp;mkdir=1\">".TIME_YEAR." ".
			$year.": ".
			MSG_CREATE_NEW_FOLDER."</a></p></li>\n";
		}
	}
	echo "</ul>\n";
	
} else {

  $out = "";
  
	/* START EDIT EXTERNAL LINKLIST */
	/* START EDIT COMMENTS */
	if($_GET['mode']=="comment" || $_GET['mode']=="extlink") {
	
  	$out = "";
  	$timestamp = !isset($_GET['id'])?mktime(0,0,0,$_GET['month'],1,$_GET['year']):$_GET['id'];
  	$obj = new $_GET['mode']($timestamp);
  	$obj->load_data();
  	
		if(isset($_GET['do']) && !isset($_GET['action'])) {
			switch ($_GET['mode']) {
				case "comment":
    			// create a new comment
    			if(!isset($obj->data[$_GET['do']])) {
    				$obj->data[$_GET['do']] = new comment(
    					$_GET['id'],
    					$profile[$auth_user]->fullname,
    					$profile[$auth_user]->email,
    					"",
    					$_GET['do'],
    					$profile[$auth_user]->website,
    					true,
    					$_SESSION['auth']
    				);
    			}
    			break;
    		case "extlink":
					if(!isset($obj->data[$_GET['do']])) {
    				$obj->data[$_GET['do']] = new extlink($_GET['do']);
    			}
    			break;
			}
			// show single item:
			$out.= $obj->data[$_GET['do']]->frontend();
			
		} else {
		
			if($_GET['action']=="delete") {
				// delete
				unset($obj->data[$_GET['do']]);
			} else if($_GET['action']=="offline") {
				// set to offline
				$obj->data[$_GET['do']]->refuse();
			} else if($_GET['action']=="online") {
				// set to online:
				$obj->data[$_GET['do']]->accept(); 
			} else if($_GET['action']=="edit") {
				// edit:
				include_once(_PATH."/include/function.php");
				if (isset($_POST['status'])) {
					$_POST['status']="true";
				}
				switch ($_GET['mode']) {
  				case "comment":
  				
    				$obj->data[$_GET['do']] = new comment(
    					$_POST['id'],
    					$_POST['user_name'],
    					$_POST['email'],
    					milder_reiniger($_POST['text']),
    					$_POST['time'],
    					$_POST['website'],
    					$_POST['status'],
    					$_POST['auth_name']
    				);

      			break;
      		case "extlink":
						$obj->data[$_GET['do']] = new extlink (
    					$_POST['time'],
    					$_POST['title'],
    					$_POST['thema'],
    					$_POST['link'],
    					milder_reiniger($_POST['text']),
    					$_POST['status']
						);
      			break;
				}
				

			}
			
			
			if(isset($_GET['action'])) {
				// save:
				$ausgabe = "<?php\n";
	    		foreach ($obj->data as $data) {
	    			$ausgabe.=$data->processData();
	    		}
	    		$ausgabe.= "?".">";
	    		if(!is_dir(dirname($obj->database))) {
	    			mkdir(dirname($obj->database));
	    		}
	    		file_put_contents($obj->database,$ausgabe); 
			}
			if($_GET['action']=="edit") {
				// reload:
				$obj->load_data();
				// show item:
				$out.= $obj->data[$_GET['do']]->frontend();
			} else {
				
				// create blank:
				if($_GET['mode'] == "extlink") {
					$obj->data[C_TODAYS_DATE] = new extlink(C_TODAYS_DATE,MODE_NEW." &raquo;");
				}
				if($obj->data) {
					$obj->data = array_reverse($obj->data, TRUE); // show new entries on top
					// show index:
					$out.= "<ul>\n";
					foreach ($obj->data as $item) {
						$out.= $item->info();
					}
					$out.= "</ul>\n";
				}
			}
		}		
	} else if(!$guard->check_super_user()) {
		echo MSG_UNAUTHORIZED;
	} else {
	/* START EDIT MODULES/TEMPLATES/CSS/JS FILES */
  	
    $ext = $_GET['mode']=="templates" || $_GET['mode']=="modules" ?"php":$_GET['mode'];
    
    // show single file:
    if(isset($_GET['do'])) {
    
  		$_GET['do'] = str_replace("|","/",$_GET['do']);
    	$blank = dirname($_GET['do'])."/blank.".$ext;
    	
    	// grab the content:
    	if(is_file($_GET['do'])) {
    		$text = file_get_contents($_GET['do']);
    	} else if($_GET['mode']=="modules" && method_exists($this,"build_".basename($_GET['do'],".php"))) {
    		$text = file_get_contents("modules/".basename($_GET['do']));
    	} else if($_GET['mode']=="templates" && is_file("templates/".basename($_GET['do']))) {
			$text = file_get_contents("templates/".basename($_GET['do']));
			} else if(is_file($blank)) {
    		$text = file_get_contents($blank);
    	} else {
    		$text = "";
    	}
    	
  		$out.="<form method=\"post\" action=\"?go=index&amp;mode=$_GET[mode]\">
<fieldset class=\"eingabe\">
<legend>".LEGEND_ENTER_TEXT."</legend>
<dfn>".DFN_FILENAME.": </dfn><input type=\"text\" name=\"basename\" value=\"".basename($_GET['do'])."\" /><br />
<dfn>".DFN_PATH.": </dfn><input disabled=\"disabled\" type=\"text\" value=\"".dirname($_GET['do'])."\" />
<input type=\"hidden\" name=\"dirname\" value=\"".dirname($_GET['do'])."\" />
<div id=\"eintrag\">
".$this->editor->out($_GET['mode']).
"<textarea cols=\"80\" rows=\"20\" name=\"text\">".
htmlentities(str_replace("\t","  ",$text))."</textarea>
</div>
</fieldset>
<div id=\"befehlskonsole\">
<input type=\"submit\" name=\"save\"
value=\"".MODE_SAVE."\" class=\"submit\" /><a href=\"?go=index\" class=\"button\">
".BACK."</a><a href=\"./\" class=\"button\">
$this->c_calendar_name</a>
</div>
</form>
  ";
  	// show index:
  	} else {
  
    	$resource = $_GET['mode']=="css"?"css/templates":$_GET['mode'];
      $files = $this->file_mngr->go("$resource","$ext","file");
      
      $out.= "<ul>\n";
      $out.= "<li><p><a tabindex=\"".$m++.
      "\" href=\"?go=index&amp;mode=$_GET[mode]&amp;do=".
    	str_replace("/","|","$resource/tmp_".C_TODAYS_DATE.".$ext")."\">".
    	MODE_NEW." &raquo;</a></p></li>\n";
    	foreach ($files as $path => $filename) {
    	
    		if($_GET['mode']=="modules" || $_GET['mode']=="templates") {
					$path = "data/$path";
				}
				
    		$out.= "<li><p>".
    		"<a class=\"delete\" title=\"$filename ".MODE_DELETE."\" tabindex=\"".$m++.
    		"\" href=\"?go=index&amp;mode=$_GET[mode]&amp;delete=".str_replace("/","|",$path)."\">".
    		"<span>".MODE_DELETE."</span>".
    		"</a>".
    		"<a tabindex=\"".$m++.
    		"\" href=\"?go=index&amp;mode=$_GET[mode]&amp;do=".str_replace("/","|",$path)."\">".
    		"<span>$filename</span>".
    		"</a>".
    		"</p>\n</li>\n"; 					
      	}
  		$out.= "</ul>\n";
  		}
  	}
	echo $out;
	}
}
?>
</div>
</div>
<div class="clear"></div>
</div>
</div>
</body>
</html>
